# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-04-19 19:05
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import localflavor.us.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AddressBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address_range', models.CharField(max_length=255, verbose_name='Address range')),
                ('street', models.CharField(max_length=255, verbose_name='Street')),
            ],
        ),
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(blank=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('created', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Updated')),
                ('trashed', models.BooleanField(db_index=True, default=False)),
                ('district_type', models.CharField(choices=[('TRASH', 'Trash'), ('RECYCLING', 'Recycling')], max_length=50, verbose_name='District type')),
                ('identifier', models.CharField(blank=True, max_length=255, null=True, verbose_name='Identifier')),
                ('pickup_day', models.CharField(choices=[('MO', 'Monday'), ('TU', 'Tuesday'), ('WE', 'Wednesday'), ('TH', 'Thursday'), ('FR', 'Friday'), ('SA', 'Saturday'), ('SU', 'Sunday')], max_length=2, verbose_name='Day')),
                ('pickup_time', models.TimeField(blank=True, null=True, verbose_name='Time')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DistrictExceptions',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(blank=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('created', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Updated')),
                ('date', models.DateField(verbose_name='Date')),
                ('new_date', models.DateField(blank=True, null=True, verbose_name='New date')),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.District')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Municipality',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(blank=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('created', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Updated')),
                ('trashed', models.BooleanField(db_index=True, default=False)),
                ('state', localflavor.us.models.USStateField(choices=[(b'AL', b'Alabama'), (b'AK', b'Alaska'), (b'AS', b'American Samoa'), (b'AZ', b'Arizona'), (b'AR', b'Arkansas'), (b'AA', b'Armed Forces Americas'), (b'AE', b'Armed Forces Europe'), (b'AP', b'Armed Forces Pacific'), (b'CA', b'California'), (b'CO', b'Colorado'), (b'CT', b'Connecticut'), (b'DE', b'Delaware'), (b'DC', b'District of Columbia'), (b'FL', b'Florida'), (b'GA', b'Georgia'), (b'GU', b'Guam'), (b'HI', b'Hawaii'), (b'ID', b'Idaho'), (b'IL', b'Illinois'), (b'IN', b'Indiana'), (b'IA', b'Iowa'), (b'KS', b'Kansas'), (b'KY', b'Kentucky'), (b'LA', b'Louisiana'), (b'ME', b'Maine'), (b'MD', b'Maryland'), (b'MA', b'Massachusetts'), (b'MI', b'Michigan'), (b'MN', b'Minnesota'), (b'MS', b'Mississippi'), (b'MO', b'Missouri'), (b'MT', b'Montana'), (b'NE', b'Nebraska'), (b'NV', b'Nevada'), (b'NH', b'New Hampshire'), (b'NJ', b'New Jersey'), (b'NM', b'New Mexico'), (b'NY', b'New York'), (b'NC', b'North Carolina'), (b'ND', b'North Dakota'), (b'MP', b'Northern Mariana Islands'), (b'OH', b'Ohio'), (b'OK', b'Oklahoma'), (b'OR', b'Oregon'), (b'PA', b'Pennsylvania'), (b'PR', b'Puerto Rico'), (b'RI', b'Rhode Island'), (b'SC', b'South Carolina'), (b'SD', b'South Dakota'), (b'TN', b'Tennessee'), (b'TX', b'Texas'), (b'UT', b'Utah'), (b'VT', b'Vermont'), (b'VI', b'Virgin Islands'), (b'VA', b'Virginia'), (b'WA', b'Washington'), (b'WV', b'West Virginia'), (b'WI', b'Wisconsin'), (b'WY', b'Wyoming')], max_length=2)),
                ('population', models.IntegerField(blank=True, null=True, verbose_name='Population')),
                ('approved', models.BooleanField(default=True, verbose_name='Approved')),
                ('contacts', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(blank=True, null=True)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('created', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Created')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='Updated')),
                ('trashed', models.BooleanField(db_index=True, default=False)),
                ('subscription_type', models.CharField(choices=[('EMAIL', 'Email')], max_length=20, verbose_name='Type')),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.District')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='district',
            name='municipality',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.Municipality'),
        ),
        migrations.AddField(
            model_name='addressblock',
            name='district',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='notifications.District'),
        ),
    ]
